From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyfakefs/
Date: Wed, 22 May 2024 06:55:58 +0000 (UTC) [thread overview]
Message-ID: <1716360951.6c44379ac4838714804c350fa19383e8911800e1.mgorny@gentoo> (raw)
commit: 6c44379ac4838714804c350fa19383e8911800e1
Author: Joe Kappus <joe <AT> wt <DOT> gd>
AuthorDate: Mon May 6 06:27:46 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 22 06:55:51 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c44379a
dev-python/pyfakefs: readd 5.3.5
Signed-off-by: Joe Kappus <joe <AT> wt.gd>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyfakefs/Manifest | 1 +
dev-python/pyfakefs/pyfakefs-5.3.5.ebuild | 44 +++++++++++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-python/pyfakefs/Manifest b/dev-python/pyfakefs/Manifest
index 0103e03c5326..073b231c1255 100644
--- a/dev-python/pyfakefs/Manifest
+++ b/dev-python/pyfakefs/Manifest
@@ -1,2 +1,3 @@
+DIST pyfakefs-5.3.5.gh.tar.gz 227359 BLAKE2B 635e41cb9892e1707555559769c01d5b575e44c5f1dd412acc05c3bed3b2dad2724ba32341b59cdecdfb658c94008e09396970349d8c1ffdcb90bf89ea82aca0 SHA512 342dc9cc0378af8cd8a9b0783fb6a1415207505ec8d4992f8fdd7e8d2bc4aada26d0803ed3b74d30b42a50dffb793c70acdeb3f28f199c0918783e1ea0a5e0d8
DIST pyfakefs-5.4.1.gh.tar.gz 237928 BLAKE2B 8abea2d884d69717ab754c38666633f86230e981ddb099f8f9493d4d82ff0ff73e644ec793ea5e68edc662fee72dfd833fcab068b73fd5285555d2e5d8445823 SHA512 f27ce662a443623717a91e3fe1895cbbf7a64d009b7846b61c890ebabb0c3bb978b12bb83b68460fc026f4a0cfe846afb6057b72306e822dc8ba75d6e2f1b555
DIST pyfakefs-5.5.0.gh.tar.gz 239883 BLAKE2B cf9b91fbfbb77b012ec768ac2188ea5c611a271f50ded69cc92607d955b4dda8cacf7b0560da5a2b57f7a4aa6879fafb328357e5996d8c7c025f531530a04f4d SHA512 d9f05318f26ca9c26e0cca3c4fdf19dc3cf33bd21a6a87e1e4d8871b06eba9d8ba875301b001221ec9e0bd17c14f8aba3e61d3ec5b3c72587d28b7b5263e2a2c
diff --git a/dev-python/pyfakefs/pyfakefs-5.3.5.ebuild b/dev-python/pyfakefs/pyfakefs-5.3.5.ebuild
new file mode 100644
index 000000000000..ebe04cf6f2f1
--- /dev/null
+++ b/dev-python/pyfakefs/pyfakefs-5.3.5.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A fake file system that mocks the Python file system modules"
+HOMEPAGE="
+ https://github.com/pytest-dev/pyfakefs/
+ https://pypi.org/project/pyfakefs/
+"
+SRC_URI="
+ https://github.com/pytest-dev/pyfakefs/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ local EPYTEST_IGNORE=(
+ # test for regression with opentimelineio package
+ pyfakefs/pytest_tests/segfault_test.py
+ # test for regression with undefined package
+ pyfakefs/pytest_tests/pytest_fixture_test.py
+ )
+
+ if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ pyfakefs/pytest_tests/pytest_reload_pandas_test.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pyfakefs.pytest_plugin
+}
next reply other threads:[~2024-05-22 6:56 UTC|newest]
Thread overview: 127+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-22 6:55 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-02 10:14 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyfakefs/ Michał Górny
2024-11-02 9:01 Michał Górny
2024-10-26 11:52 Michał Górny
2024-10-13 14:58 Michał Górny
2024-10-09 6:31 Michał Górny
2024-07-27 9:44 Michał Górny
2024-07-27 6:40 Arthur Zamarin
2024-07-13 4:46 Michał Górny
2024-07-05 18:52 Michał Górny
2024-05-28 12:10 Michał Górny
2024-05-13 2:12 Michał Górny
2024-04-27 8:26 Michał Górny
2024-04-27 6:53 Michał Górny
2024-04-12 3:35 Michał Górny
2024-04-08 3:06 Michał Górny
2024-02-14 12:36 Michał Górny
2024-02-14 12:26 Michał Górny
2024-02-03 9:17 Michał Górny
2024-02-03 8:48 Arthur Zamarin
2024-01-31 6:59 Michał Górny
2024-01-19 18:28 Arthur Zamarin
2023-12-09 14:00 Michał Górny
2023-12-09 13:56 Michał Górny
2023-12-01 14:14 Michał Górny
2023-12-01 5:39 Michał Górny
2023-11-19 9:44 Michał Górny
2023-11-19 9:44 Michał Górny
2023-11-11 20:36 Michał Górny
2023-11-11 19:21 Sam James
2023-10-12 4:39 Michał Górny
2023-09-25 18:49 Michał Górny
2023-09-25 16:54 Arthur Zamarin
2023-08-19 6:44 Michał Górny
2023-08-11 19:10 Michał Górny
2023-08-11 19:06 Arthur Zamarin
2023-07-11 5:52 Michał Górny
2023-07-11 5:52 Michał Górny
2023-05-03 5:20 Michał Górny
2023-05-02 19:09 Arthur Zamarin
2023-04-14 3:59 Michał Górny
2023-04-11 17:25 Michał Górny
2023-04-01 6:13 Michał Górny
2023-02-16 20:26 Michał Górny
2023-01-13 7:09 Michał Górny
2022-10-22 15:58 Michał Górny
2022-10-22 15:58 Michał Górny
2022-10-22 15:52 Arthur Zamarin
2022-10-10 7:43 Arthur Zamarin
2022-09-19 18:35 Arthur Zamarin
2022-08-21 18:58 Arthur Zamarin
2022-08-21 18:56 Arthur Zamarin
2022-08-13 11:09 Arthur Zamarin
2022-08-13 11:09 Arthur Zamarin
2022-08-13 10:23 Arthur Zamarin
2022-07-21 20:17 Michał Górny
2022-07-15 8:17 Michał Górny
2022-07-14 5:58 Michał Górny
2022-07-13 8:10 Michał Górny
2022-05-24 6:16 Michał Górny
2022-04-19 13:39 Michał Górny
2022-04-19 11:47 Arthur Zamarin
2022-03-18 15:19 Michał Górny
2022-03-18 14:32 Arthur Zamarin
2022-03-18 10:08 Michał Górny
2022-02-17 20:19 Michał Górny
2022-02-17 19:39 Arthur Zamarin
2022-02-14 21:37 Michał Górny
2022-02-07 21:15 James Le Cuirot
2022-01-12 21:12 Michał Górny
2021-12-09 22:41 Michał Górny
2021-12-09 21:26 Sam James
2021-11-08 21:04 Michał Górny
2021-11-08 21:04 Michał Górny
2021-11-08 8:31 Michał Górny
2021-10-03 19:29 Michał Górny
2021-10-03 18:48 Sam James
2021-08-29 21:50 Michał Górny
2021-06-04 18:59 Michał Górny
2021-05-24 21:20 Joshua Kinard
2021-03-30 11:10 Michał Górny
2021-03-30 9:27 Sam James
2021-02-24 21:43 Michał Górny
2021-01-25 14:29 Michał Górny
2021-01-25 14:06 Sam James
2020-12-20 20:36 Michał Górny
2020-12-20 20:34 Michał Górny
2020-12-20 20:18 Sam James
2020-12-06 17:56 Sam James
2020-11-28 8:32 Sam James
2020-11-26 15:08 Michał Górny
2020-11-24 7:43 Michał Górny
2020-11-19 18:17 Michał Górny
2020-11-02 15:59 Michał Górny
2020-11-01 14:34 Michał Górny
2020-10-13 22:35 Louis Sautier
2020-09-20 15:38 Michał Górny
2020-08-19 9:03 Sam James
2020-07-21 17:08 Sergei Trofimovich
2020-07-17 0:35 Sam James
2020-07-12 2:45 Sam James
2020-07-09 10:39 Michał Górny
2020-07-09 10:39 Michał Górny
2020-07-09 8:41 Agostino Sarubbo
2020-07-09 8:27 Agostino Sarubbo
2020-06-28 12:00 Michał Górny
2020-06-26 21:16 Mart Raudsepp
2020-05-30 7:27 Michał Górny
2020-05-30 7:27 Michał Górny
2020-05-01 8:40 Mart Raudsepp
2020-04-13 21:50 Sergei Trofimovich
2020-04-13 21:50 Sergei Trofimovich
2020-03-28 17:44 Michał Górny
2020-03-05 5:50 Michał Górny
2020-03-05 5:50 Michał Górny
2020-03-03 11:21 Agostino Sarubbo
2020-03-03 10:39 Agostino Sarubbo
2020-03-03 7:22 Matt Turner
2020-03-03 7:01 Michał Górny
2020-02-23 8:54 Sergei Trofimovich
2020-02-06 8:34 Sergei Trofimovich
2020-01-31 22:17 Sergei Trofimovich
2020-01-29 6:44 Michał Górny
2019-06-25 21:53 Patrick McLean
2019-03-19 15:38 Rick Farina
2019-03-11 8:40 Mikle Kolyada
2018-06-15 6:03 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1716360951.6c44379ac4838714804c350fa19383e8911800e1.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox